Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.identity.cache
Class CachedLDAPRoleModuleWrapper

    java.lang.Object
      org.jboss.portal.identity.service.IdentityModuleService
          org.jboss.portal.identity.service.RoleModuleService
              org.jboss.portal.identity.ldap.LDAPRoleModule
                  org.jboss.portal.core.identity.cache.CachedLDAPRoleModuleWrapper

All Implemented Interfaces:
  RoleModule

    public class CachedLDAPRoleModuleWrapper

extends LDAPRoleModule
implements RoleModule

Version:
  : 0.1 $
Author:
  Boleslaw Dawidowicz

Field Summary

Fields inherited from class org.jboss.portal.identity.service.IdentityModuleService
`moduleType`

Constructor Summary
`CachedLDAPRoleModuleWrapper(LDAPRoleModule ldapRoleModule, IdentityCacheService cacheService)`

Method Summary
`Role` | `createRole(java.lang.String name, java.lang.String displayName)` Create a new role with the specified name.
`LDAPRoleImpl` | `createRoleInstance(javax.naming.directory.Attributes attrs, java.lang.String dn)`
`Role` | `findRoleByDN(java.lang.String dn)` method not belonging to UserModule interface - ldap specific.
`Role` | `findRoleById(java.lang.Object id)` Retrieves a role by its id.
`Role` | `findRoleById(java.lang.String id)` Retrieves a role by its id.
`Role` | `findRoleByName(java.lang.String name)` Retrieves a role by its name
`java.util.Set` | `findRoles()` Get all the roles
`java.util.Set` | `findRolesByNames(java.lang.String[] names)` Retrieve a collection of role from the role names.
`int` | `getRolesCount()` Returns the number of roles.
`void` | `removeRole(java.lang.Object id)` Remove a role.
`java.util.List` | `searchRoles(java.lang.String filter, java.lang.Object[] filterArgs)` This method should be used by over modules to perform searches.
`void` | `updateDisplayName(LDAPRoleImpl ldapr, java.lang.String name)`

Methods inherited from class org.jboss.portal.identity.ldap.LDAPRoleModule
`getConnectionContext, getContainerDN, getDisplayNameAttributeID, getRidAttributeID, getRoleCtxDN, getRoleSearchFilter, getSearchScope, getSearchTimeLimit, setConnectionContext, start`

Methods inherited from class org.jboss.portal.identity.service.RoleModuleService
`fireRoleCreatedEvent, fireRoleDestroyedEvent, fireRoleUpdatedEvent`

Methods inherited from class org.jboss.portal.identity.service.IdentityModuleService
`getConnectionJNDIName, getIdentityConfiguration, getIdentityContext, getIdentityEventBroadcaster, getInitOptions, getJndiBinder, getJNDIName, getModuleType, setConnectionJNDIName, setIdentityContext, setInitOptions, setJndiBinder, setJNDIName, setModuleType, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CachedLDAPRoleModuleWrapper

    public CachedLDAPRoleModuleWrapper(LDAPRoleModule ldapRoleModule,
                                       IdentityCacheService cacheService)

Method Detail

### findRoleByName

    public Role findRoleByName(java.lang.String name)
                        throws IdentityException,
                               java.lang.IllegalArgumentException

  Description copied from interface: `RoleModule`
  Retrieves a role by its name

  Specified by:
    `findRoleByName` in interface `RoleModule`
  Parameters:
    `name` - the role name
  Returns:
    the role
  Throws:
    `IdentityException`
    `java.lang.IllegalArgumentException`

### findRolesByNames

    public java.util.Set findRolesByNames(java.lang.String[] names)
                                   throws IdentityException,
                                          java.lang.IllegalArgumentException

  Description copied from interface: `RoleModule`
  Retrieve a collection of role from the role names.

  Specified by:
    `findRolesByNames` in interface `RoleModule`
  Parameters:
    `names` - the role names
  Returns:
    a collection of roles
  Throws:
    `java.lang.IllegalArgumentException`
    `IdentityException`

### findRoleById

    public Role findRoleById(java.lang.Object id)
                      throws IdentityException,
                             java.lang.IllegalArgumentException

  Description copied from interface: `RoleModule`
  Retrieves a role by its id.

  Specified by:
    `findRoleById` in interface `RoleModule`
  Parameters:
    `id` - the role id
  Returns:
    the role
  Throws:
    `IdentityException`
    `java.lang.IllegalArgumentException`

### findRoleById

    public Role findRoleById(java.lang.String id)
                      throws IdentityException,
                             java.lang.IllegalArgumentException

  Description copied from interface: `RoleModule`
  Retrieves a role by its id.

  Specified by:
    `findRoleById` in interface `RoleModule`
  Parameters:
    `id` - the role id
  Returns:
    the role
  Throws:
    `IdentityException`
    `java.lang.IllegalArgumentException`

### createRole

    public Role createRole(java.lang.String name,
                           java.lang.String displayName)
                    throws IdentityException,
                           java.lang.IllegalArgumentException

  Description copied from interface: `RoleModule`
  Create a new role with the specified name.

  Specified by:
    `createRole` in interface `RoleModule`
  Parameters:
    `name` - the role name
    `displayName` - the role display name
  Returns:
    the role
  Throws:
    `IdentityException`
    `java.lang.IllegalArgumentException`

### removeRole

    public void removeRole(java.lang.Object id)
                    throws IdentityException,
                           java.lang.IllegalArgumentException

  Description copied from interface: `RoleModule`
  Remove a role.

  Specified by:
    `removeRole` in interface `RoleModule`
  Parameters:
    `id` - the role id
  Throws:
    `IdentityException`
    `java.lang.IllegalArgumentException`

### getRolesCount

    public int getRolesCount()
                      throws IdentityException

  Description copied from interface: `RoleModule`
  Returns the number of roles.

  Specified by:
    `getRolesCount` in interface `RoleModule`
  Returns:
    the number of roles
  Throws:
    `IdentityException`

### findRoles

    public java.util.Set findRoles()
                            throws IdentityException

  Description copied from interface: `RoleModule`
  Get all the roles

  Specified by:
    `findRoles` in interface `RoleModule`
  Returns:
    the roles
  Throws:
    `IdentityException`

### searchRoles

    public java.util.List searchRoles(java.lang.String filter,
                                      java.lang.Object[] filterArgs)
                               throws javax.naming.NamingException,
                                      IdentityException

  Description copied from class: `LDAPRoleModule`
  This method should be used by over modules to perform searches. It will allow role module implementation to apply proper filter and search scope from the configuration

  Specified by:
    `searchRoles` in class `LDAPRoleModule`
  Parameters:
    `filter` - that will be concatenated with proper role search filter from the module
  Returns:
  Throws:
    `javax.naming.NamingException`
    `IdentityException`

### updateDisplayName

    public void updateDisplayName(LDAPRoleImpl ldapr,
                                  java.lang.String name)
                           throws IdentityException

  Overrides:
    `updateDisplayName` in class `LDAPRoleModule`
  Throws:
    `IdentityException`

### createRoleInstance

    public LDAPRoleImpl createRoleInstance(javax.naming.directory.Attributes attrs,
                                           java.lang.String dn)
                                    throws IdentityException

  Overrides:
    `createRoleInstance` in class `LDAPRoleModule`
  Throws:
    `IdentityException`

### findRoleByDN

    public Role findRoleByDN(java.lang.String dn)
                      throws IdentityException,
                             java.lang.IllegalArgumentException

  Description copied from class: `LDAPRoleModule`
  method not belonging to UserModule interface - ldap specific.

  Overrides:
    `findRoleByDN` in class `LDAPRoleModule`
  Throws:
    `IdentityException`
    `java.lang.IllegalArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD